> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-api/core-api/available-resources/transaction.md).

# Transaction

{% hint style="warning" %}
**This API is deprecated.**

The Core API is no longer recommended for new integrations. It will remain functional exclusively for existing clients. Migration to the [Connect API](/caf-api/connect/getting_started.md) is strongly recommended.

For more details, see the [Deprecation Policy](/caf-api/deprecation-policy-for-resources.md).
{% endhint %}

## Transaction

A query submitted to the Anti-Fraud services is called a Transaction. A transaction may contain the execution of one or more services configured in the query model or informed in the request body. These services may be internal analyses or external queries that are performed on the processing conveyor. After that, based on validation rules, the status is set for the transaction.

{% hint style="info" %}
*Services and validation rules can be configured only in the query template.*
{% endhint %}

A transaction is characterized by an endpoint where the required services can be informed and a set of rules validated.

{% openapi src="/files/7gnjtPzzziea8PeLBT5o" path="/transactions" method="post" %}
[transactions-create.yaml](https://3218940882-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FbVxCOSyBojfSIE5fcpfH%2Fuploads%2Fgit-blob-937155f95870e6215ba3d508c82ca3cc918fc4c7%2Ftransactions-create.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/vbbOtyxWFD7RCJDj6G95" path="/transactions" method="get" %}
[transactions-get-list.yaml](https://3218940882-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FbVxCOSyBojfSIE5fcpfH%2Fuploads%2Fgit-blob-4791bf855adcab21784401f13c5d6469dd65123f%2Ftransactions-get-list.yaml?alt=media)
{% endopenapi %}

{% openapi src="/files/YcQo6pekxhuBl0GtldBq" path="/transactions/{transactionId}" method="get" %}
[transactions-get-one.yaml](https://3218940882-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FbVxCOSyBojfSIE5fcpfH%2Fuploads%2Fgit-blob-1c915d50e4a738e747e0664512d368b8500b8724%2Ftransactions-get-one.yaml?alt=media)
{% endopenapi %}

{% hint style="warning" %}
**Important Notice about Integrations**

To ensure the stability and security of our services, it is mandatory to implement integrations with Caf APIs exclusively via backend/server-side, as frontend calls (via browser or client-side) may be blocked by our systems when multiple IPs or browser user agents are detected. Furthermore, client-side integrations expose authentication keys to the risk of leakage and malicious use, which may lead to unauthorized resource consumption and additional charges. Authentication keys found to be used in incorrect implementations will be immediately deactivated.

We always recommend: (1) implementing on the backend, (2) using proper headers and authentication, and (3) never exposing credentials on the client-side. Please refer to our documentation for details or contact our technical support team.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.caf.io/caf-api/core-api/available-resources/transaction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
